//
// C++ Interface: kmftqtdesignerplugin
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFTQTDESIGNERPLUGIN_H
#define KMFTQTDESIGNERPLUGIN_H

#include <tqwidgetplugin.h>

// TQt includes
#include <tqstringlist.h>
#include <tqstring.h>
#include <tqiconset.h>
#include <tqpixmap.h>

// Prokject includes
/**
	@author Christian Hubinger <chubinger@irrsinnig.org>
*/
namespace KMF {
class KMFTQTDesignerPlugin : public TQWidgetPlugin
{
public:
    KMFTQTDesignerPlugin();
    ~KMFTQTDesignerPlugin();
    TQStringList keys() const;
    TQWidget* create( const TQString &classname, TQWidget* parent = 0, const char* name = 0 );
    TQString group( const TQString& ) const;
    TQIconSet iconSet( const TQString& ) const;
    TQString includeFile( const TQString& ) const;
    TQString toolTip( const TQString& ) const;
    TQString whatsThis( const TQString& ) const;
    bool isContainer( const TQString& ) const;

};
}
#endif
